#{extends 'borderNG.html' /}

<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.index()}">&{'nonspk.home'}</a></li>
    <li><a href="@{nonspk.RealisasiNonSpkCtr.editJenisRealisasi(jenisRealisasiNonSpk?.rsk_id, jenisRealisasiNonSpk?.lls_id)}">Edit Jenis Realisasi </a></li>
    <li class="active">&{'nonspk.pilih_non_badan_usaha'}</li>
</ol>

#{alert /}

<div class="content">

#{form @nonspk.RealisasiNonSpkCtr.simpanTambahNonSikap(jenisRealisasiNonSpk?.rsk_id, jenisRealisasiNonSpk?.lls_id)}
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bgwarning" width="150">Nama Penyedia</th>
            <td>
                <div style="width: 385px; float: left;">
                    <input type="text" name="form.nama" value="${form?.nama}" class="form-control #{validate 'form.nama'/}" placeholder="Silakan Masukkan Nama Penyedia">
                    <div class="invalid-feedback">#{error 'form.nama' /}</div>
                </div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning" width="150">NPWP</th>
            <td>
                <div style="width: 385px; float: left;">
                    <input type="text" id="npwp" name="form.npwp" value="${form?.npwp}" class="form-control #{validate 'form.npwp'/}" placeholder="Silakan Masukkan NPWP Penyedia">
                    <div class="invalid-feedback">#{error 'form.npwp' /}</div>
                </div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning" width="150">Email</th>
            <td>
                <div style="width: 385px; float: left;">
                    <input type="text" id="email" name="form.email" value="${form?.email}" class="form-control #{validate 'form.email'/}" placeholder="Silakan Masukkan Email Penyedia">
                    <div class="invalid-feedback">#{error 'form.email' /}</div><span id="emailspan"></span>
                </div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning" width="150">No. Telepon</th>
            <td>
                <div style="width: 385px; float: left;">
                    <input type="text" id="telp" name="form.telp" value="${form?.telp}" class="form-control #{validate 'form.telp'/}" placeholder="Silakan Masukkan No. Telepon Penyedia" maxlength="20">
                    <div class="invalid-feedback">#{error 'form.telp' /}</div>
                </div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning" width="150">Alamat</th>
            <td>
                <div style="width: 385px; float: left;">
                    <textarea name="form.alamat" placeholder="Silakan Masukkan Alamat Penyedia" class="form-control #{validate 'form.alamat'/}">${form?.alamat}</textarea>
                    <div class="invalid-feedback">#{error 'form.alamat' /}</div>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Tambah Penyedia</button>
                <a href="@{nonSpk.RealisasiNonSpkCtr.editJenisRealisasi(jenisRealisasiNonSpk?.lls_id, jenisRealisasiNonSpk?.rsk_id)}" class="btn btn-secondary">  Kembali</a>
            </td>
        </tr>
    </table>
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">
    $('#npwp').on("focus", function () {
        $(this).mask("99.999.999.9-999.999");
    });

    $("#email").blur(function()
	{
		var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
		var emailaddress = $("#email").val();
		if(!emailReg.test(emailaddress)) {
			$("#emailspan").html('<font color="#cc0000">Format Email "' + emailaddress + '" tidak valid!</font>');
			$("#email").val("");
		} else {
			$("#emailspan").html('<font color="#cc0000"></font>');
		}
	});
    $(function(){
        $('#telp').keypress(function(e){
            var txt = String.fromCharCode(e.which);
            console.log(txt + ' : ' + e.which);
            if(!txt.match(/[0-9+-]/))
            {
                return false;
            }
        });
    });
</script>
#{/set}


